#### Beyond Linux® From Scratch (System V Edition) - Version 12.1

### Chapter 29. Introduction to KDE

- Prev

  Plasma-wayland-protocols-1.12.0

- Next

  KDE Frameworks 5

- Up
- Home

# kuserfeedback-1.3.0

## Introduction to Kuserfeedback

The kuserfeedback package contains a framework for collecting user feedback for applications via telemetry and surveys.

This package is known to build and work properly using an LFS 12.1 platform.

### Package Information

- Download (HTTP): https://download.kde.org/stable/kuserfeedback/kuserfeedback-1.3.0.tar.xz

- Download MD5 sum: d5e787de6cf0001f23133694dbffd96f

- Download size: 228 KB

- Estimated disk space required: 24 MB

- Estimated build time: 0.2 SBU (using parallelism=4)

### Kuserfeedback Dependencies

#### Required

extra-cmake-modules-5.115.0 and Qt-5.15.12

## Installation of Kuserfeedback

Install kuserfeedback by running the following commands:

    mkdir build &&
    cd    build &&

    cmake -DCMAKE_INSTALL_PREFIX=/usr \
          -DCMAKE_BUILD_TYPE=Release  \
          -DBUILD_TESTING=OFF         \
          -Wno-dev .. &&
    make

This package does not come with a test suite.

Now, as the `root` user:

    make install

## Contents

Installed Programs: UserFeedbackConsole and userfeedbackctl
Installed Libraries: libKUserFeedbackCore.so and libKUserFeedbackWidgets.so
Installed Directories: /usr/include/KUserFeedback, /usr/lib/qml/org/kde/userfeedback, /usr/lib/cmake/KUserFeedback, /usr/share/KDE/UserFeedbackConsole, and /usr/share/qlogging-categories5

- Prev

  Plasma-wayland-protocols-1.12.0

- Next

  KDE Frameworks 5

- Up
- Home